package com.dla.dda.domain.exceptions.utils;

import org.apache.commons.lang3.StringUtils;

import com.dla.dda.domain.constants.ErrorCodes;

/**
 * @see Utileria para setear los msg de error
 * @author montieln
 *
 */
public class ErrorUtils {

	/**
	 * @see Sustituye el valor del toket por el msg de exception
	 * @param sucess
	 * @param saldo
	 */
	public static void setMessage(ErrorCodes error, String messages) {

		final String error_token = "ERROR";
		String message = error.getDetail();

		message = StringUtils.replace(message, error_token, messages);

		error.setDetail(message);

	}

}
